package com.fzm.mall.server.admin.finance_center.enums.status;

import java.util.ArrayList;
import java.util.List;

/**
 * @author wangp
 * @date 2021/4/27 14:35
 * @description 积分状态
 * @since JDK 1.8
 */
public enum MerchantIntegralStatusEnum {
    ISSUING(1),//发行中
    ISSUE_FAIL(2),//发行失败
    WAIT_CHECK(3),//待审核
    CHECK_FAIL(4),//审核失败
    ABLE(5),//可用
    DISABLE(6);//禁用

    private Integer status;

    MerchantIntegralStatusEnum(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public static List<Integer> getIntegralCheckList() {
        List<Integer> integralCheckList = new ArrayList<>();
        integralCheckList.add(MerchantIntegralStatusEnum.CHECK_FAIL.getStatus());
        integralCheckList.add(MerchantIntegralStatusEnum.ABLE.getStatus());
        return integralCheckList;
    }

    public static List<Integer> getIntegralDisableList() {
        List<Integer> integralDisableList = new ArrayList<>();
        integralDisableList.add(MerchantIntegralStatusEnum.ABLE.getStatus());
        integralDisableList.add(MerchantIntegralStatusEnum.DISABLE.getStatus());
        return integralDisableList;
    }

}
